org.encog.app.analyst.wizard

## Enum WizardMethodType

- java.lang.Object
- - java.lang.Enum<WizardMethodType>
  - - org.encog.app.analyst.wizard.WizardMethodType

- All Implemented Interfaces:
    Serializable, Comparable<WizardMethodType>

      public enum WizardMethodType
      extends Enum<WizardMethodType>

  The machine learning method that the Encog Analyst Wizard should use.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BayesianNetwork` Bayesian network.
    `EPL` Encog Program
    `FeedForward` Feed forward network.
    `NEAT` NEAT network.
    `PNN` PNN neural network.
    `RBF` RBF network.
    `SOM` SOM neural network.
    `SVM` SVM network.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WizardMethodType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WizardMethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FeedForward

          public static final WizardMethodType FeedForward

      Feed forward network.

    - #### RBF

          public static final WizardMethodType RBF

      RBF network.

    - #### SVM

          public static final WizardMethodType SVM

      SVM network.

    - #### NEAT

          public static final WizardMethodType NEAT

      NEAT network.

    - #### PNN

          public static final WizardMethodType PNN

      PNN neural network.

    - #### SOM

          public static final WizardMethodType SOM

      SOM neural network.

    - #### BayesianNetwork

          public static final WizardMethodType BayesianNetwork

      Bayesian network.

    - #### EPL

          public static final WizardMethodType EPL

      Encog Program

  - ### Method Detail

    - #### values

          public static WizardMethodType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WizardMethodType c : WizardMethodType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WizardMethodType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.